{% extends '::base.html.twig' %} 
{% form_theme form_bt _self %} 

{% block form_row %} 
{% spaceless %}
    <div id="div{{id}}">
        {{ form_label(form) }}
        {{ form_errors(form) }}
        {{ form_widget(form) }}
    </div>
{% endspaceless %}
{% endblock form_row %}

{% block title %}MDR - Cobranzas - Bitacora{% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/style.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('bundles/mdrcobranza/css/bootstrap-theme.min.css') }}">
	<link rel="stylesheet" type="text/css" href="{{ asset('vendor/css/jquery.dataTables.css') }}">
	<link href="{{ asset('bundles/mdrcobranza/images/logoMDR.png') }}"  rel="icon" type="image/x-icon" />
{% endblock %}
{% block body %}
<!--BARRA DE MENUS-->
	<div class="container" style="width:97%; margin-top:15px;">
		



      <div class="at_crcobranza">
			 <div id="bt_opmenu">
      				{{form(form_bt)}}
      		</div>
      	<div class="table-responsive">	
      		<table id='tbl_operaciones' class="table table-bordered">
				<thead class='head_table'>
					<tr>
						<td style="width: 90px !important;">Fecha</td>
						<td>Usuario</td>
						<td>Area</td>
						<td>Pedido</td>
						<td>Descripción de la operacion</td>
						<td>Estatus de la operacion</td>
					</tr>
				</thead>
				<tbody id="body_tbl_operaciones" style="background: white;">
					{% for entity in bitacora %}
					<tr>
						<td>{{ entity.fecha.date|date("d/m/Y H:i:s") }}</td>
						<td>{{ entity.usuario.uNombre }}  {{ entity.usuario.uApPaterno }}  {{ entity.usuario.uApMaterno }}</td>
						<td>{{ entity.areaOperacion }}</td>
						<td>{{ entity.pedido.idPedido }}</td>
						<td>{{ entity.descripcionOperacion|raw }}</td>
						<td>{{ entity.estatusOperacion }}</td>
					</tr>	
						{% endfor %}
				</tbody>
			</table>	
		</div>					
      </div>
	</div>
{% endblock %}
{% block javascripts %}
	<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/bootstrap.min.js') }}"></script>
	<script type="text/javascript" src="{{ asset('vendor/js/blockui.js') }}"></script>
	<!--TABLE API -->
	<script src="{{ asset('vendor/js/DataTablesJQuery.js') }}"></script>
	<!--**********-->
	{#<script>var bitacoraJSON = {{ bitacora|json_encode()|raw }};</script>	#}
	<script type="text/javascript" src="{{ asset('bundles/mdrcobranza/js/tools_bt.js') }}"></script>
    <script>

    $( "#form_fechaInicio" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    $( "#form_fechaFin" ).datepicker({
      format:   "dd/mm/yyyy",
      changeMonth: true,
      changeYear: true,
      yearRange: "1900:2050",
    });

    </script>
{% endblock %}